MONGOC_CLIENT_GET_GRIDFS(3)

NAME
mongoc_client_get_gridfs() - None

SYNOPSIS

mongoc_gridfs_t *
mongoc_client_get_gridfs (mongoc_client_t *client,
                          const char      *db,
                          const char      *prefix,
                          bson_error_t    *error);

The mongoc_client_get_gridfs(3) function shall create a new mongoc_gridfs_t \&. The db parameter is the name of the database which the gridfs instance should exist in. The prefix parameter corresponds to the gridfs collection namespacing; its default is "fs", thus the default GridFS collection names are "fs.files" and "fs.chunks".

PARAMETERS

client
    A mongoc_client_t \&.

db  The database name.

prefix
    Optional prefix for gridfs collection names or NULL \&.

error
    An optional location for a bson_error_t or NULL \&.

ERRORS

Errors are propagated via the error parameter.

RETURNS

A mongoc_gridfs_t on success, NULL upon failure and error is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.